<?php
/**
 * The Front Page template file.
 *
 * @package WANDERIC
 * @since WANDERIC 1.0.31
 */

get_header();

// If front-page is a static page
if ( get_option( 'show_on_front' ) == 'page' ) {

	// If Front Page Builder is enabled - display sections
	if ( wanderic_is_on( wanderic_get_theme_option( 'front_page_enabled' ) ) ) {

		if ( have_posts() ) {
			the_post();
		}

		$wanderic_sections = wanderic_array_get_keys_by_value( wanderic_get_theme_option( 'front_page_sections' ) );
		if ( is_array( $wanderic_sections ) ) {
			foreach ( $wanderic_sections as $wanderic_section ) {
				get_template_part( apply_filters( 'wanderic_filter_get_template_part', 'front-page/section', $wanderic_section ), $wanderic_section );
			}
		}

		// Else if this page is blog archive
	} elseif ( is_page_template( 'blog.php' ) ) {
		get_template_part( apply_filters( 'wanderic_filter_get_template_part', 'blog' ) );

		// Else - display native page content
	} else {
		get_template_part( apply_filters( 'wanderic_filter_get_template_part', 'page' ) );
	}

	// Else get index template to show posts
} else {
	get_template_part( apply_filters( 'wanderic_filter_get_template_part', 'index' ) );
}

get_footer();
