<?php
/* Cool Timeline support functions
------------------------------------------------------------------------------- */

// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if ( ! function_exists( 'wanderic_cool_timeline_theme_setup9' ) ) {
	add_action( 'after_setup_theme', 'wanderic_cool_timeline_theme_setup9', 9 );
	function wanderic_cool_timeline_theme_setup9() {
		if ( wanderic_exists_cool_timeline() ) {
			add_action( 'wp_enqueue_scripts', 'wanderic_cool_timeline_frontend_scripts', 1100 );
			add_filter( 'wanderic_filter_merge_styles', 'wanderic_cool_timeline_merge_styles' );
		}
		if ( is_admin() ) {
			add_filter( 'wanderic_filter_tgmpa_required_plugins', 'wanderic_cool_timeline_tgmpa_required_plugins' );
		}
	}
}

// Filter to add in the required plugins list
if ( ! function_exists( 'wanderic_cool_timeline_tgmpa_required_plugins' ) ) {
	//Handler of the add_filter('wanderic_filter_tgmpa_required_plugins',	'wanderic_cool_timeline_tgmpa_required_plugins');
	function wanderic_cool_timeline_tgmpa_required_plugins( $list = array() ) {
		if ( wanderic_storage_isset( 'required_plugins', 'cool-timeline' ) && wanderic_storage_isset( 'required_plugins', 'cool-timeline' ) && wanderic_storage_get_array( 'required_plugins', 'cool-timeline', 'install' ) !== false ) {
			$list[] = array(
				'name'     => wanderic_storage_get_array( 'required_plugins', 'cool-timeline', 'title' ),
				'slug'     => 'cool-timeline',
				'required' => false,
			);
		}
		return $list;
	}
}

// Check if this plugin installed and activated
if ( ! function_exists( 'wanderic_exists_cool_timeline' ) ) {
	function wanderic_exists_cool_timeline() {
		return class_exists( 'CoolTimeline' );
	}
}


// Enqueue styles for frontend
if ( ! function_exists( 'wanderic_cool_timeline_frontend_scripts' ) ) {
	//Handler of the add_action( 'wp_enqueue_scripts', 'wanderic_cool_timeline_frontend_scripts', 1100 );
	function wanderic_cool_timeline_frontend_scripts() {
		if ( wanderic_is_on( wanderic_get_theme_option( 'debug_mode' ) ) ) {
			$wanderic_url = wanderic_get_file_url( 'plugins/cool-timeline/cool-timeline.css' );
			if ( '' != $wanderic_url ) {
				wp_enqueue_style( 'wanderic-cool-timeline', $wanderic_url, array(), null );
			}
		}
	}
}

// Merge custom styles
if ( ! function_exists( 'wanderic_cool_timeline_merge_styles' ) ) {
	//Handler of the add_filter('wanderic_filter_merge_styles', 'wanderic_cool_timeline_merge_styles');
	function wanderic_cool_timeline_merge_styles( $list ) {
		$list[] = 'plugins/cool-timeline/cool-timeline.css';
		return $list;
	}
}

/* Import Options */
// Set plugin's specific importer options
if ( !function_exists( 'wanderic_cool_timeline_importer_set_options' ) ) {
    add_filter( 'trx_addons_filter_importer_options',	'wanderic_cool_timeline_importer_set_options' );
    function wanderic_cool_timeline_importer_set_options($options=array()) {
        if ( wanderic_exists_cool_timeline() && wanderic_storage_isset( 'required_plugins', 'cool-timeline' ) ) {
            $options['additional_options'][]	= 'wp_options';
        }
        return $options;
    }
}

// Add plugin-specific colors and fonts to the custom CSS
if ( wanderic_exists_cool_timeline() ) {
	require_once wanderic_get_file_dir( 'plugins/cool-timeline/cool-timeline-style.php' );
}
