<?php
/* Elegro Crypto Payment support functions
------------------------------------------------------------------------------- */

// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if ( ! function_exists( 'wanderic_elegro_payment_theme_setup9' ) ) {
	add_action( 'after_setup_theme', 'wanderic_elegro_payment_theme_setup9', 9 );
	function wanderic_elegro_payment_theme_setup9() {
		if ( wanderic_exists_elegro_payment() ) {
			add_action( 'wp_enqueue_scripts', 'wanderic_elegro_payment_frontend_scripts', 1100 );
			add_filter( 'wanderic_filter_merge_styles', 'wanderic_elegro_payment_merge_styles' );
		}
		if ( is_admin() ) {
			add_filter( 'wanderic_filter_tgmpa_required_plugins', 'wanderic_elegro_payment_tgmpa_required_plugins' );
		}
	}
}

// Filter to add in the required plugins list
if ( ! function_exists( 'wanderic_elegro_payment_tgmpa_required_plugins' ) ) {
	//Handler of the add_filter('wanderic_filter_tgmpa_required_plugins',	'wanderic_elegro_payment_tgmpa_required_plugins');
	function wanderic_elegro_payment_tgmpa_required_plugins( $list = array() ) {
		if ( wanderic_storage_isset( 'required_plugins', 'woocommerce' ) && wanderic_storage_isset( 'required_plugins', 'elegro-payment' ) && wanderic_storage_get_array( 'required_plugins', 'elegro-payment', 'install' ) !== false ) {
			$list[] = array(
				'name'     => wanderic_storage_get_array( 'required_plugins', 'elegro-payment', 'title' ),
				'slug'     => 'elegro-payment',
				'required' => false,
			);
		}
		return $list;
	}
}

// Check if this plugin installed and activated
if ( ! function_exists( 'wanderic_exists_elegro_payment' ) ) {
	function wanderic_exists_elegro_payment() {
		return class_exists( 'WC_Elegro_Payment' );
	}
}


// Enqueue styles for frontend
if ( ! function_exists( 'wanderic_elegro_payment_frontend_scripts' ) ) {
	//Handler of the add_action( 'wp_enqueue_scripts', 'wanderic_elegro_payment_frontend_scripts', 1100 );
	function wanderic_elegro_payment_frontend_scripts() {
		if ( wanderic_is_on( wanderic_get_theme_option( 'debug_mode' ) ) ) {
			$wanderic_url = wanderic_get_file_url( 'plugins/elegro-payment/elegro-payment.css' );
			if ( '' != $wanderic_url ) {
				wp_enqueue_style( 'wanderic-elegro-payment', $wanderic_url, array(), null );
			}
		}
	}
}


// Merge custom styles
if ( ! function_exists( 'wanderic_elegro_payment_merge_styles' ) ) {
	//Handler of the add_filter('wanderic_filter_merge_styles', 'wanderic_elegro_payment_merge_styles');
	function wanderic_elegro_payment_merge_styles( $list ) {
		$list[] = 'plugins/elegro-payment/elegro-payment.css';
		return $list;
	}
}


// Add plugin-specific colors and fonts to the custom CSS
if ( wanderic_exists_elegro_payment() ) {
	require_once wanderic_get_file_dir( 'plugins/elegro-payment/elegro-payment-style.php' );
}
