<?php
/* Instagram Feed support functions
------------------------------------------------------------------------------- */

// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if ( ! function_exists( 'wanderic_instagram_feed_theme_setup9' ) ) {
	add_action( 'after_setup_theme', 'wanderic_instagram_feed_theme_setup9', 9 );
	function wanderic_instagram_feed_theme_setup9() {
		if ( wanderic_exists_instagram_feed() ) {
			add_action( 'wp_enqueue_scripts', 'wanderic_instagram_responsive_styles', 2000 );
			add_filter( 'wanderic_filter_merge_styles_responsive', 'wanderic_instagram_merge_styles_responsive' );
		}
		if ( is_admin() ) {
			add_filter( 'wanderic_filter_tgmpa_required_plugins', 'wanderic_instagram_feed_tgmpa_required_plugins' );
		}
	}
}

// Filter to add in the required plugins list
if ( ! function_exists( 'wanderic_instagram_feed_tgmpa_required_plugins' ) ) {
	//Handler of the add_filter('wanderic_filter_tgmpa_required_plugins',	'wanderic_instagram_feed_tgmpa_required_plugins');
	function wanderic_instagram_feed_tgmpa_required_plugins( $list = array() ) {
		if ( wanderic_storage_isset( 'required_plugins', 'instagram-feed' ) && wanderic_storage_get_array( 'required_plugins', 'instagram-feed', 'install' ) !== false ) {
			$list[] = array(
				'name'     => wanderic_storage_get_array( 'required_plugins', 'instagram-feed', 'title' ),
				'slug'     => 'instagram-feed',
				'required' => false,
			);
		}
		return $list;
	}
}

// Check if Instagram Feed installed and activated
if ( ! function_exists( 'wanderic_exists_instagram_feed' ) ) {
	function wanderic_exists_instagram_feed() {
		return defined( 'SBIVER' );
	}
}

// Enqueue responsive styles for frontend
if ( ! function_exists( 'wanderic_instagram_responsive_styles' ) ) {
	//Handler of the add_action( 'wp_enqueue_scripts', 'wanderic_instagram_responsive_styles', 2000 );
	function wanderic_instagram_responsive_styles() {
		if ( wanderic_is_on( wanderic_get_theme_option( 'debug_mode' ) ) ) {
			$wanderic_url = wanderic_get_file_url( 'plugins/instagram/instagram-responsive.css' );
			if ( '' != $wanderic_url ) {
				wp_enqueue_style( 'wanderic-instagram-responsive', $wanderic_url, array(), null );
			}
		}
	}
}

// Merge responsive styles
if ( ! function_exists( 'wanderic_instagram_merge_styles_responsive' ) ) {
	//Handler of the add_filter('wanderic_filter_merge_styles_responsive', 'wanderic_instagram_merge_styles_responsive');
	function wanderic_instagram_merge_styles_responsive( $list ) {
		$list[] = 'plugins/instagram/instagram-responsive.css';
		return $list;
	}
}

