<?php
/* Revolution Slider support functions
------------------------------------------------------------------------------- */

// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if ( ! function_exists( 'wanderic_revslider_theme_setup9' ) ) {
	add_action( 'after_setup_theme', 'wanderic_revslider_theme_setup9', 9 );
	function wanderic_revslider_theme_setup9() {
		if ( is_admin() ) {
			add_filter( 'wanderic_filter_tgmpa_required_plugins', 'wanderic_revslider_tgmpa_required_plugins' );
		}
	}
}

// Filter to add in the required plugins list
if ( ! function_exists( 'wanderic_revslider_tgmpa_required_plugins' ) ) {
	//Handler of the add_filter('wanderic_filter_tgmpa_required_plugins',	'wanderic_revslider_tgmpa_required_plugins');
	function wanderic_revslider_tgmpa_required_plugins( $list = array() ) {
		if ( wanderic_storage_isset( 'required_plugins', 'revslider' ) && wanderic_storage_get_array( 'required_plugins', 'revslider', 'install' ) !== false && wanderic_is_theme_activated() ) {
			$path = wanderic_get_plugin_source_path( 'plugins/revslider/revslider.zip' );
			if ( ! empty( $path ) || wanderic_get_theme_setting( 'tgmpa_upload' ) ) {
				$list[] = array(
					'name'     => wanderic_storage_get_array( 'required_plugins', 'revslider', 'title' ),
					'slug'     => 'revslider',
					'source'   => ! empty( $path ) ? $path : 'upload://revslider.zip',
					'version'  => '5.4.6.4',
					'required' => false,
				);
			}
		}
		return $list;
	}
}

// Check if RevSlider installed and activated
if ( ! function_exists( 'wanderic_exists_revslider' ) ) {
	function wanderic_exists_revslider() {
		return function_exists( 'rev_slider_shortcode' );
	}
}
