<?php
/* Timeline Widget Addon For Elementor support functions
------------------------------------------------------------------------------- */

// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if ( ! function_exists( 'wanderic_timeline_widget_addon_for_elementor_theme_setup9' ) ) {
	add_action( 'after_setup_theme', 'wanderic_timeline_widget_addon_for_elementor_theme_setup9', 9 );
	function wanderic_timeline_widget_addon_for_elementor_theme_setup9() {
		if ( wanderic_exists_timeline_widget_addon_for_elementor() ) {
			add_action( 'wp_enqueue_scripts', 'wanderic_timeline_widget_addon_for_elementor_frontend_scripts', 1100 );
			add_action( 'wp_enqueue_scripts', 'wanderic_timeline_widget_addon_for_elementor_responsive_styles', 2000 );
			add_filter( 'wanderic_filter_merge_styles', 'wanderic_timeline_widget_addon_for_elementor_merge_styles' );
			add_filter( 'wanderic_filter_merge_styles_responsive', 'wanderic_timeline_widget_addon_for_elementor_merge_styles_responsive' );
		}
		if ( is_admin() ) {
			add_filter( 'wanderic_filter_tgmpa_required_plugins', 'wanderic_timeline_widget_addon_for_elementor_tgmpa_required_plugins' );
		}
	}
}

// Filter to add in the required plugins list
if ( ! function_exists( 'wanderic_timeline_widget_addon_for_elementor_tgmpa_required_plugins' ) ) {
	//Handler of the add_filter('wanderic_filter_tgmpa_required_plugins',	'wanderic_timeline_widget_addon_for_elementor_tgmpa_required_plugins');
	function wanderic_timeline_widget_addon_for_elementor_tgmpa_required_plugins( $list = array() ) {
		if ( wanderic_storage_isset( 'required_plugins', 'woocommerce' ) && wanderic_storage_isset( 'required_plugins', 'timeline-widget-addon-for-elementor' ) && wanderic_storage_get_array( 'required_plugins', 'timeline-widget-addon-for-elementor', 'install' ) !== false ) {
			$list[] = array(
				'name'     => wanderic_storage_get_array( 'required_plugins', 'timeline-widget-addon-for-elementor', 'title' ),
				'slug'     => 'timeline-widget-addon-for-elementor',
				'required' => false,
			);
		}
		return $list;
	}
}

// Check if this plugin installed and activated
if ( ! function_exists( 'wanderic_exists_timeline_widget_addon_for_elementor' ) ) {
	function wanderic_exists_timeline_widget_addon_for_elementor() {
		return class_exists( 'Timeline_Widget_Addon' );
	}
}

// Enqueue styles for frontend
if ( ! function_exists( 'wanderic_timeline_widget_addon_for_elementor_frontend_scripts' ) ) {
	//Handler of the add_action( 'wp_enqueue_scripts', 'wanderic_timeline_widget_addon_for_elementor_frontend_scripts', 1100 );
	function wanderic_timeline_widget_addon_for_elementor_frontend_scripts() {
		if ( wanderic_is_on( wanderic_get_theme_option( 'debug_mode' ) ) ) {
			$wanderic_url = wanderic_get_file_url( 'plugins/timeline-widget-addon-for-elementor/timeline-widget-addon-for-elementor.css' );
			if ( '' != $wanderic_url ) {
				wp_enqueue_style( 'wanderic-timeline-widget-addon-for-elementor', $wanderic_url, array(), null );
			}
		}
	}
}

// Enqueue responsive styles
if ( ! function_exists( 'wanderic_timeline_widget_addon_for_elementor_responsive_styles' ) ) {
	//Handler of the add_action( 'wp_enqueue_scripts', 'wanderic_timeline_widget_addon_for_elementor_responsive_styles', 2000 );
	function wanderic_timeline_widget_addon_for_elementor_responsive_styles() {
		if ( wanderic_is_on( wanderic_get_theme_option( 'debug_mode' ) ) ) {
			$wanderic_url = wanderic_get_file_url( 'plugins/timeline-widget-addon-for-elementor/timeline-widget-addon-for-elementor-responsive.css' );
			if ( '' != $wanderic_url ) {
				wp_enqueue_style( 'wanderic-timeline-widget-addon-for-elementor-responsive', $wanderic_url, array(), null );
			}
		}
	}
}

// Merge custom styles
if ( ! function_exists( 'wanderic_timeline_widget_addon_for_elementor_merge_styles' ) ) {
	//Handler of the add_filter('wanderic_filter_merge_styles', 'wanderic_timeline_widget_addon_for_elementor_merge_styles');
	function wanderic_timeline_widget_addon_for_elementor_merge_styles( $list ) {
		$list[] = 'plugins/timeline-widget-addon-for-elementor/timeline-widget-addon-for-elementor.css';
		return $list;
	}
}

// Merge responsive styles
if ( ! function_exists( 'wanderic_timeline_widget_addon_for_elementor_merge_styles_responsive' ) ) {
	//Handler of the add_filter('wanderic_filter_merge_styles_responsive', 'wanderic_timeline_widget_addon_for_elementor_merge_styles_responsive');
	function wanderic_timeline_widget_addon_for_elementor_merge_styles_responsive( $list ) {
		$list[] = 'plugins/timeline-widget-addon-for-elementor/timeline-widget-addon-for-elementor-responsive.css';
		return $list;
	}
}

/* Import Options */
// Set plugin's specific importer options
if ( !function_exists( 'wanderic_timeline_widget_addon_for_elementor_importer_set_options' ) ) {
    add_filter( 'trx_addons_filter_importer_options',	'wanderic_timeline_widget_addon_for_elementor_importer_set_options' );
    function wanderic_timeline_widget_addon_for_elementor_importer_set_options($options=array()) {
        if ( wanderic_exists_woocommerce_wishlist() && wanderic_storage_isset( 'required_plugins', 'timeline-widget-addon-for-elementor' ) ) {
            $options['additional_options'][]	= 'wp_options';
        }
        return $options;
    }
}

// Add plugin-specific colors and fonts to the custom CSS
if ( wanderic_exists_timeline_widget_addon_for_elementor() ) {
	require_once wanderic_get_file_dir( 'plugins/timeline-widget-addon-for-elementor/timeline-widget-addon-for-elementor-style.php' );
}