<?php
/* Elegro Crypto Payment support functions
------------------------------------------------------------------------------- */

// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if ( ! function_exists( 'wanderic_yith_woocommerce_wishlist_theme_setup9' ) ) {
	add_action( 'after_setup_theme', 'wanderic_yith_woocommerce_wishlist_theme_setup9', 9 );
	function wanderic_yith_woocommerce_wishlist_theme_setup9() {
		if ( is_admin() ) {
			add_filter( 'wanderic_filter_tgmpa_required_plugins', 'wanderic_yith_woocommerce_wishlist_tgmpa_required_plugins' );
		}
	}
}

// Filter to add in the required plugins list
if ( ! function_exists( 'wanderic_yith_woocommerce_wishlist_tgmpa_required_plugins' ) ) {
	//Handler of the add_filter('wanderic_filter_tgmpa_required_plugins',	'wanderic_yith_woocommerce_wishlist_tgmpa_required_plugins');
	function wanderic_yith_woocommerce_wishlist_tgmpa_required_plugins( $list = array() ) {
		if ( wanderic_storage_isset( 'required_plugins', 'woocommerce' ) && wanderic_storage_isset( 'required_plugins', 'yith-woocommerce-wishlist' ) ) {
			$list[] = array(
				'name'     => wanderic_storage_get_array( 'required_plugins', 'yith-woocommerce-wishlist', 'title' ),
				'slug'     => 'yith-woocommerce-wishlist',
				'required' => false,
			);
		}
		return $list;
	}
}

// Check if this plugin installed and activated
if ( ! function_exists( 'wanderic_exists_woocommerce_wishlist' ) ) {
	function wanderic_exists_woocommerce_wishlist() {
		return defined( 'YITH_WCWL_INIT' );
	}
}

/* Import Options */
// Set plugin's specific importer options
if ( !function_exists( 'wanderic_yith_woocommerce_wishlist_importer_set_options' ) ) {
    add_filter( 'trx_addons_filter_importer_options',	'wanderic_yith_woocommerce_wishlist_importer_set_options' );
    function wanderic_yith_woocommerce_wishlist_importer_set_options($options=array()) {
        if ( wanderic_exists_woocommerce_wishlist() && wanderic_storage_isset( 'required_plugins', 'yith-woocommerce-wishlist' ) ) {
            $options['additional_options'][]	= 'yith_wcwl_%';
        }
        return $options;
    }
}