<?php
/**
 * Required plugins
 *
 * @package WANDERIC
 * @since WANDERIC 1.76.0
 */

// THEME-SUPPORTED PLUGINS
// If plugin not need - remove its settings from next array
//----------------------------------------------------------
$wanderic_theme_required_plugins_groups = array(
	'core'          => esc_html__( 'Core', 'wanderic' ),
	'page_builders' => esc_html__( 'Page Builders', 'wanderic' ),
	'ecommerce'     => esc_html__( 'E-Commerce & Donations', 'wanderic' ),
	'socials'       => esc_html__( 'Socials and Communities', 'wanderic' ),
	'events'        => esc_html__( 'Events and Appointments', 'wanderic' ),
	'content'       => esc_html__( 'Content', 'wanderic' ),
	'other'         => esc_html__( 'Other', 'wanderic' ),
);
$wanderic_theme_required_plugins        = array(
	'trx_addons'                 => array(
		'title'       => esc_html__( 'ThemeREX Addons', 'wanderic' ),
		'description' => esc_html__( "Will allow you to install recommended plugins, demo content, and improve the theme's functionality overall with multiple theme options", 'wanderic' ),
		'required'    => true,
		'logo'        => 'trx_addons.png',
		'group'       => $wanderic_theme_required_plugins_groups['core'],
	),
	'elementor'                  => array(
		'title'       => esc_html__( 'Elementor', 'wanderic' ),
		'description' => esc_html__( "Is a beautiful PageBuilder, even the free version of which allows you to create great pages using a variety of modules.", 'wanderic' ),
		'required'    => false,
		'logo'        => 'elementor.png',
		'group'       => $wanderic_theme_required_plugins_groups['page_builders'],
	),
	'gutenberg'                  => array(
		'title'       => esc_html__( 'Gutenberg', 'wanderic' ),
		'description' => esc_html__( "It's a posts editor coming in place of the classic TinyMCE. Can be installed and used in parallel with Elementor", 'wanderic' ),
		'required'    => false,
		'install'     => false,          // Do not offer installation of the plugin in the Theme Dashboard and TGMPA
		'logo'        => 'gutenberg.png',
		'group'       => $wanderic_theme_required_plugins_groups['page_builders'],
	),
	'js_composer'                => array(
		'title'       => esc_html__( 'WPBakery PageBuilder', 'wanderic' ),
		'description' => esc_html__( "Popular PageBuilder which allows you to create excellent pages", 'wanderic' ),
		'required'    => false,
		'install'     => false,          // Do not offer installation of the plugin in the Theme Dashboard and TGMPA
		'logo'        => 'js_composer.jpg',
		'group'       => $wanderic_theme_required_plugins_groups['page_builders'],
	),
	'woocommerce'                => array(
		'title'       => esc_html__( 'WooCommerce', 'wanderic' ),
		'description' => esc_html__( "Connect the store to your website and start selling now", 'wanderic' ),
		'required'    => false,
		'logo'        => 'woocommerce.png',
		'group'       => $wanderic_theme_required_plugins_groups['ecommerce'],
	),
    'yith-woocommerce-compare'                => array(
        'title'       => esc_html__( 'Yith WooCommerce Compare', 'wanderic' ),
        'description' => esc_html__( "Allow you to compare in a simple and efficient way products on sale in your shop.", 'wanderic' ),
        'required'    => false,
        'logo'        => 'compare.png',
        'group'       => $wanderic_theme_required_plugins_groups['ecommerce'],
    ),
    'yith-woocommerce-wishlist'                => array(
        'title'       => esc_html__( ' Yith WooCommerce Wishlist', 'wanderic' ),
        'description' => esc_html__( "Gives your users the possibility to create, fill, manage and share their wishlists allowing you to analyze their interests.", 'wanderic' ),
        'required'    => false,
        'logo'        => 'wishlist.png',
        'group'       => $wanderic_theme_required_plugins_groups['ecommerce'],
    ),
    'woocommerce-social-media-share-buttons'                => array(
        'title'       => esc_html__( 'WooCommerce Social Media Share Buttons', 'wanderic' ),
        'description' => esc_html__( "Allows visitors to your woocommerce shop to easily share your products on popular social media platforms.", 'wanderic' ),
        'required'    => false,
        'logo'        => 'social.png',
        'group'       => $wanderic_theme_required_plugins_groups['ecommerce'],
    ),
	'elegro-payment'             => array(
		'title'       => esc_html__( 'Elegro Crypto Payment', 'wanderic' ),
		'description' => esc_html__( "Extends WooCommerce Payment Gateways with an elegro Crypto Payment", 'wanderic' ),
		'required'    => false,
		'logo'        => 'elegro-payment.png',
		'group'       => $wanderic_theme_required_plugins_groups['ecommerce'],
	),
	'instagram-feed'             => array(
		'title'       => esc_html__( 'Instagram Feed', 'wanderic' ),
		'description' => esc_html__( "Displays the latest photos from your profile on Instagram", 'wanderic' ),
		'required'    => false,
		'install'     => false,          // Do not offer installation of the plugin in the Theme Dashboard and TGMPA
		'logo'        => 'instagram-feed.png',
		'group'       => $wanderic_theme_required_plugins_groups['socials'],
	),
	'mailchimp-for-wp'           => array(
		'title'       => esc_html__( 'MailChimp for WP', 'wanderic' ),
		'description' => esc_html__( "Allows visitors to subscribe to newsletters", 'wanderic' ),
		'required'    => false,
		'logo'        => 'mailchimp-for-wp.png',
		'group'       => $wanderic_theme_required_plugins_groups['socials'],
	),
	'cool-timeline'           => array(
		'title'       => esc_html__( 'Cool Timeline', 'wanderic' ),
		'description' => '',
		'required'    => false,
		'install'     => false,          // Do not offer installation of the plugin in the Theme Dashboard and TGMPA
        'logo'        => 'cool-timeline.png',
		'group'       => $wanderic_theme_required_plugins_groups['events'],
	),
	'timeline-widget-addon-for-elementor'           => array(
		'title'       => esc_html__( 'Timeline Widget Addon For Elementor', 'wanderic' ),
		'description' => '',
		'required'    => false,
        'logo'        => 'timeline-widget-addon-for-elementor.png',
		'group'       => $wanderic_theme_required_plugins_groups['events'],
	),
	'contact-form-7'             => array(
		'title'       => esc_html__( 'Contact Form 7', 'wanderic' ),
		'description' => esc_html__( "CF7 allows you to create an unlimited number of contact forms", 'wanderic' ),
		'required'    => false,
		'logo'        => 'contact-form-7.png',
		'group'       => $wanderic_theme_required_plugins_groups['content'],
	),
	'essential-grid'             => array(
		'title'       => esc_html__( 'Essential Grid', 'wanderic' ),
		'description' => '',
		'required'    => false,
		'logo'        => 'essential-grid.png',
		'group'       => $wanderic_theme_required_plugins_groups['content'],
	),
	'revslider'                  => array(
		'title'       => esc_html__( 'Revolution Slider', 'wanderic' ),
		'description' => '',
		'required'    => false,
		'logo'        => 'revslider.png',
		'group'       => $wanderic_theme_required_plugins_groups['content'],
	),
	'sitepress-multilingual-cms' => array(
		'title'       => esc_html__( 'WPML - Sitepress Multilingual CMS', 'wanderic' ),
		'description' => esc_html__( "Allows you to make your website multilingual", 'wanderic' ),
		'required'    => false,
		'install'     => false,      // Do not offer installation of the plugin in the Theme Dashboard and TGMPA
		'logo'        => 'sitepress-multilingual-cms.png',
		'group'       => $wanderic_theme_required_plugins_groups['content'],
	),
	'wp-gdpr-compliance'         => array(
		'title'       => esc_html__( 'Cookie Information', 'wanderic' ),
		'description' => esc_html__( "Allow visitors to decide for themselves what personal data they want to store on your site", 'wanderic' ),
		'required'    => false,
		'logo'        => 'wp-gdpr-compliance.png',
		'group'       => $wanderic_theme_required_plugins_groups['other'],
	),
	'trx_updater'                => array(
		'title'       => esc_html__( 'ThemeREX Updater', 'wanderic' ),
		'description' => esc_html__( "Update theme and theme-specific plugins from developer's upgrade server.", 'wanderic' ),
		'required'    => false,
		'logo'        => 'trx_updater.png',
		'group'       => $wanderic_theme_required_plugins_groups['other'],
	),
    'trx_popup'                  => array(
        'title'       => esc_html__( 'ThemeREX Popup', 'wanderic' ),
        'description' => esc_html__( "Add popup to your site.", 'wanderic' ),
        'required'    => false,
        'logo'        => 'trx_popup.png',
        'group'       => $wanderic_theme_required_plugins_groups['other'],
    ),
    'devvn-image-hotspot'                  => array(
        'title'       => esc_html__( 'Image Hotspot by DevVN', 'wanderic' ),
        'description' => '',
        'required'    => false,
        'logo'        => wanderic_get_file_url( 'plugins/devvn-image-hotspot/devvn-image-hotspot.png' ),
        'group'       => $wanderic_theme_required_plugins_groups['content'],
	)
);

if ( WANDERIC_THEME_FREE ) {
	unset( $wanderic_theme_required_plugins['js_composer'] );
	unset( $wanderic_theme_required_plugins['vc-extensions-bundle'] );
	unset( $wanderic_theme_required_plugins['easy-digital-downloads'] );
	unset( $wanderic_theme_required_plugins['give'] );
	unset( $wanderic_theme_required_plugins['bbpress'] );
	unset( $wanderic_theme_required_plugins['booked'] );
	unset( $wanderic_theme_required_plugins['cool-timeline'] );
	unset( $wanderic_theme_required_plugins['timeline-widget-addon-for-elementor'] );
	unset( $wanderic_theme_required_plugins['mp-timetable'] );
	unset( $wanderic_theme_required_plugins['learnpress'] );
	unset( $wanderic_theme_required_plugins['the-events-calendar'] );
	unset( $wanderic_theme_required_plugins['calculated-fields-form'] );
	unset( $wanderic_theme_required_plugins['essential-grid'] );
	unset( $wanderic_theme_required_plugins['revslider'] );
	unset( $wanderic_theme_required_plugins['ubermenu'] );
	unset( $wanderic_theme_required_plugins['sitepress-multilingual-cms'] );
	unset( $wanderic_theme_required_plugins['envato-market'] );
	unset( $wanderic_theme_required_plugins['trx_updater'] );
	unset( $wanderic_theme_required_plugins['trx_popup'] );
}

// Add plugins list to the global storage
wanderic_storage_set( 'required_plugins', $wanderic_theme_required_plugins );
