<?php
/**
 * The default template to display the content
 *
 * Used for index/archive/search.
 *
 * @package WANDERIC
 * @since WANDERIC 1.0
 */

$wanderic_template_args = get_query_var( 'wanderic_template_args' );
$wanderic_columns = 1;
if ( is_array( $wanderic_template_args ) ) {
	$wanderic_columns    = empty( $wanderic_template_args['columns'] ) ? 1 : max( 1, $wanderic_template_args['columns'] );
	$wanderic_blog_style = array( $wanderic_template_args['type'], $wanderic_columns );
	if ( ! empty( $wanderic_template_args['slider'] ) ) {
		?><div class="slider-slide swiper-slide">
		<?php
	} elseif ( $wanderic_columns > 1 ) {
		?>
		<div class="column-1_<?php echo esc_attr( $wanderic_columns ); ?>">
		<?php
	}
}
$wanderic_expanded    = ! wanderic_sidebar_present() && wanderic_get_theme_option( 'expand_content' ) == 'expand';
$wanderic_post_format = get_post_format();
$wanderic_post_format = empty( $wanderic_post_format ) ? 'standard' : str_replace( 'post-format-', '', $wanderic_post_format );
$excerpt_categories ='';
if ( has_post_thumbnail() || in_array( $wanderic_post_format, array( 'gallery' )) )
    $excerpt_categories = wanderic_show_post_meta( array('components' => 'categories','seo'=> false,'echo' => false,));
?>
<article id="post-<?php the_ID(); ?>" data-post-id="<?php the_ID(); ?>"
	<?php
	post_class( 'post_item post_item_container post_layout_excerpt post_format_' . esc_attr( $wanderic_post_format ) );
	wanderic_add_blog_animation( $wanderic_template_args );
	?>
>
	<?php

	// Sticky label
	if ( is_sticky() && ! is_paged() ) {
		?>
		<span class="post_label label_sticky"></span>
		<?php
	}

	// Featured image
	$wanderic_hover      = ! empty( $wanderic_template_args['hover'] ) && ! wanderic_is_inherit( $wanderic_template_args['hover'] )
							? $wanderic_template_args['hover']
							: wanderic_get_theme_option( 'image_hover' );
	$wanderic_components = ! empty( $wanderic_template_args['meta_parts'] )
							? ( is_array( $wanderic_template_args['meta_parts'] )
								? $wanderic_template_args['meta_parts']
								: array_map( 'trim', explode( ',', $wanderic_template_args['meta_parts'] ) )
								)
							: wanderic_array_get_keys_by_value( wanderic_get_theme_option( 'meta_parts' ) );
	wanderic_show_post_featured(
		array(
			'no_links'   => ! empty( $wanderic_template_args['no_links'] ),
			'hover'      => $wanderic_hover,
			'meta_parts' => $wanderic_components,
			'thumb_size' => wanderic_get_thumb_size( strpos( wanderic_get_theme_option( 'body_style' ), 'full' ) !== false
								? 'full'
								: ( $wanderic_expanded 
									? 'huge' 
									: 'big' 
									)
								),
			'post_info' => $excerpt_categories,
		)
	);

	// Title and post meta
	$wanderic_show_title = get_the_title() != '';
	$wanderic_show_meta  = count( $wanderic_components ) > 0 && ! in_array( $wanderic_hover, array( 'border', 'pull', 'slide', 'fade', 'info' ) );
    if ( in_array( $wanderic_post_format, array( 'gallery', 'video' )) || has_post_thumbnail() ) {
        $wanderic_components = wanderic_array_delete_by_value( $wanderic_components, 'categories' );
    };
    if ( !in_array( $wanderic_post_format, array( 'quote' )) ) {
        if ( $wanderic_show_title ) {
            ?>
            <div class="post_header entry-header">
                <?php

                // Post title
                if ( apply_filters( 'wanderic_filter_show_blog_title', true, 'excerpt' ) ) {
                    do_action( 'wanderic_action_before_post_title' );
                    if ( empty( $wanderic_template_args['no_links'] ) ) {
                        the_title( sprintf( '<h3 class="post_title entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h3>' );
                    } else {
                        the_title( '<h3 class="post_title entry-title">', '</h3>' );
                    }
                    do_action( 'wanderic_action_after_post_title' );
                }
                ?>
            </div><!-- .post_header -->
            <?php
        }
        // Post meta
        if ( apply_filters( 'wanderic_filter_show_blog_meta', $wanderic_show_meta, $wanderic_components, 'excerpt' ) ) {
            $wanderic_components = wanderic_array_delete_by_value( $wanderic_components, 'comments' );
            if ( count( $wanderic_components ) > 0 ) {
                do_action( 'wanderic_action_before_post_meta' );
                ?><div class="excerpt_meta_wrap"><?php
                    ?><div class="left_side"><?php
                    wanderic_show_post_meta(
                            apply_filters(
                                    'wanderic_filter_post_meta_args', array(
                                        'components' => join( ',', $wanderic_components ),
                                        'seo'        => false,
                                        'echo'       => true,
                                    ), 'excerpt', 1
                            )
                    );
                    ?></div>
                    <div class="right_side"><?php
                    wanderic_show_post_meta(
                            array(
                                  'components' => 'comments',
                                  'seo'        => false,
                                  'echo'       => true,
                             )
                    );
                    ?></div><?php
                ?></div><?php
                do_action( 'wanderic_action_after_post_meta' );
            }
        }
    }

	// Post content
	if ( apply_filters( 'wanderic_filter_show_blog_excerpt', empty( $wanderic_template_args['hide_excerpt'] ) && wanderic_get_theme_option( 'excerpt_length' ) > 0, 'excerpt' ) ) {
		if ( !in_array( $wanderic_post_format, array( 'audio' ))) {
		    ?>
		<div class="post_content entry-content">
			<?php
			if ( wanderic_get_theme_option( 'blog_content' ) == 'fullpost' ) {
				// Post content area
				?>
				<div class="post_content_inner">
					<?php
					do_action( 'wanderic_action_before_full_post_content' );
					the_content( '' );
					do_action( 'wanderic_action_after_full_post_content' );
					?>
				</div>
				<?php
				// Inner pages
				wp_link_pages(
					array(
						'before'      => '<div class="page_links"><span class="page_links_title">' . esc_html__( 'Pages:', 'wanderic' ) . '</span>',
						'after'       => '</div>',
						'link_before' => '<span>',
						'link_after'  => '</span>',
						'pagelink'    => '<span class="screen-reader-text">' . esc_html__( 'Page', 'wanderic' ) . ' </span>%',
						'separator'   => '<span class="screen-reader-text">, </span>',
					)
				);
			} else {
				// Post content area
				wanderic_show_post_content( $wanderic_template_args, '<div class="post_content_inner">', '</div>' );
			}

			// More button
			if ( apply_filters( 'wanderic_filter_show_blog_readmore', true, 'excerpt' ) && !in_array( $wanderic_post_format, array( 'quote' )) ) {
				if ( empty( $wanderic_template_args['no_links'] ) ) {
					do_action( 'wanderic_action_before_post_readmore' );
					if ( wanderic_get_theme_option( 'blog_content' ) != 'fullpost' ) {
						wanderic_show_post_more_link( $wanderic_template_args, '<p>', '</p>' );
					} else {
						wanderic_show_post_comments_link( $wanderic_template_args, '<p>', '</p>' );
					}
					do_action( 'wanderic_action_after_post_readmore' );
				}
			}
			?>
		</div><!-- .entry-content -->
		<?php
		}
	}
	if ( in_array( $wanderic_post_format, array( 'quote' )) ) {
        if ( $wanderic_show_title ) {
		?>
		<div class="post_header entry-header">
			<?php

			// Post title
			if ( apply_filters( 'wanderic_filter_show_blog_title', true, 'excerpt' ) ) {
				do_action( 'wanderic_action_before_post_title' );
				if ( empty( $wanderic_template_args['no_links'] ) ) {
					the_title( sprintf( '<h3 class="post_title entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h3>' );
				} else {
					the_title( '<h3 class="post_title entry-title">', '</h3>' );
				}
				do_action( 'wanderic_action_after_post_title' );
			}
			?>
		</div><!-- .post_header -->
		<?php
        }
        // Post meta
        if ( apply_filters( 'wanderic_filter_show_blog_meta', $wanderic_show_meta, $wanderic_components, 'excerpt' ) ) {
            $wanderic_components = wanderic_array_delete_by_value( $wanderic_components, 'comments' );
            if ( count( $wanderic_components ) > 0 ) {
                do_action( 'wanderic_action_before_post_meta' );
                ?><div class="excerpt_meta_wrap"><?php
                    ?><div class="left_side"><?php
                    wanderic_show_post_meta(
                            apply_filters(
                                    'wanderic_filter_post_meta_args', array(
                                        'components' => join( ',', $wanderic_components ),
                                        'seo'        => false,
                                        'echo'       => true,
                                    ), 'excerpt', 1
                            )
                    );
                    ?></div>
                    <div class="right_side"><?php
                    wanderic_show_post_meta(
                            array(
                                  'components' => 'comments',
                                  'seo'        => false,
                                  'echo'       => true,
                             )
                    );
                    ?></div><?php
                ?></div><?php
                do_action( 'wanderic_action_after_post_meta' );
            }
        }
    }
	?>
</article>
<?php

if ( is_array( $wanderic_template_args ) ) {
	if ( ! empty( $wanderic_template_args['slider'] ) || $wanderic_columns > 1 ) {
		?>
		</div>
		<?php
	}
}
