<?php
/**
 * The Portfolio template to display the content
 *
 * Used for index/archive/search.
 *
 * @package WANDERIC
 * @since WANDERIC 1.0
 */

$wanderic_template_args = get_query_var( 'wanderic_template_args' );
if ( is_array( $wanderic_template_args ) ) {
	$wanderic_columns    = empty( $wanderic_template_args['columns'] ) ? 2 : max( 1, $wanderic_template_args['columns'] );
	$wanderic_blog_style = array( $wanderic_template_args['type'], $wanderic_columns );
} else {
	$wanderic_blog_style = explode( '_', wanderic_get_theme_option( 'blog_style' ) );
	$wanderic_columns    = empty( $wanderic_blog_style[1] ) ? 2 : max( 1, $wanderic_blog_style[1] );
}

$wanderic_post_format = get_post_format();
$wanderic_post_format = empty( $wanderic_post_format ) ? 'standard' : str_replace( 'post-format-', '', $wanderic_post_format );


?><div class="
<?php
if ( ! empty( $wanderic_template_args['slider'] ) ) {
	echo ' slider-slide swiper-slide';
} else {
	echo ( wanderic_is_blog_style_use_masonry( $wanderic_blog_style[0] ) ? 'masonry_item masonry_item' : 'column' ) . '-1_' . esc_attr( $wanderic_columns );
}
?>
"><article id="post-<?php the_ID(); ?>" 
	<?php
	post_class(
		'post_item post_item_container post_format_' . esc_attr( $wanderic_post_format )
		. ' post_layout_portfolio'
		. ' post_layout_portfolio_' . esc_attr( $wanderic_columns )
		. ( 'portfolio' != $wanderic_blog_style[0] ? ' ' . esc_attr( $wanderic_blog_style[0] )  . '_' . esc_attr( $wanderic_columns ) : '' )
		. ( is_sticky() && ! is_paged() ? ' sticky' : '' )
	);
	wanderic_add_blog_animation( $wanderic_template_args );
	?>
>
<?php

	// Sticky label
	if ( is_sticky() && ! is_paged() ) {
		?>
		<span class="post_label label_sticky"></span>
		<?php
	}

	$wanderic_hover   = ! empty( $wanderic_template_args['hover'] ) && ! wanderic_is_inherit( $wanderic_template_args['hover'] )
								? $wanderic_template_args['hover']
								: wanderic_get_theme_option( 'image_hover' );

		$wanderic_post_link = empty( $wanderic_template_args['no_links'] )
								? ( ! empty( $wanderic_template_args['link'] )
									? $wanderic_template_args['link']
									: get_permalink()
									)
								: '';
		$wanderic_target    = ! empty( $wanderic_post_link ) && false === strpos( $wanderic_post_link, home_url() )
								? ' target="_blank" rel="nofollow"'
								: '';

	// Meta parts
	$wanderic_components = ! empty( $wanderic_template_args['meta_parts'] )
							? ( is_array( $wanderic_template_args['meta_parts'] )
								? $wanderic_template_args['meta_parts']
								: explode( ',', $wanderic_template_args['meta_parts'] )
								)
							: wanderic_array_get_keys_by_value( wanderic_get_theme_option( 'meta_parts' ) );

	// Featured image
	wanderic_show_post_featured(
		array(
			'hover'         => $wanderic_hover,
			'no_links'      => ! empty( $wanderic_template_args['no_links'] ),
			'thumb_size'    => wanderic_get_thumb_size(
									wanderic_is_blog_style_use_masonry( $wanderic_blog_style[0] )
										? (	strpos( wanderic_get_theme_option( 'body_style' ), 'full' ) !== false || $wanderic_columns < 3
											? 'masonry-big'
											: 'masonry'
											)
										: (	strpos( wanderic_get_theme_option( 'body_style' ), 'full' ) !== false || $wanderic_columns < 3
											? 'big-square'
											: 'med-square'
											)
								),
			'show_no_image' => true,
			'meta_parts'    => $wanderic_components,
			'class'         => 'dots' == $wanderic_hover ? 'hover_with_info' : '',
			'post_info'     => 'dots' == $wanderic_hover
										? '<div class="post_info"><h5 class="post_title">'
											. ( ! empty( $wanderic_post_link )
												? '<a href="' . esc_url( $wanderic_post_link ) . '"' . ( ! empty( $target ) ? $target : '' ) . '>'
												: ''
												)
												. esc_html( get_the_title() )
											. ( ! empty( $wanderic_post_link )
												? '</a>'
												: ''
												)
											. '</h5></div>'
										: '',
            'thumb_ratio'   => '1:1',
            'thumb_bg'      => true,
        )
	);
	?>
</article></div><?php
// Need opening PHP-tag above, because <article> is a inline-block element (used as column)!