<?php
/**
 * The template to display Admin notices
 *
 * @package WANDERIC
 * @since WANDERIC 1.0.64
 */

$wanderic_skins_url  = get_admin_url( null, 'admin.php?page=trx_addons_theme_panel#trx_addons_theme_panel_section_skins' );
$wanderic_skins_args = get_query_var( 'wanderic_skins_notice_args' );

?>
<div class="wanderic_admin_notice wanderic_skins_notice update-nag">
	<?php
	// Theme image
	$wanderic_theme_img = wanderic_get_file_url( 'screenshot.jpg' );
	if ( '' != $wanderic_theme_img ) {
		?>
		<div class="wanderic_notice_image"><img src="<?php echo esc_url( $wanderic_theme_img ); ?>" alt="<?php esc_attr_e( 'Theme screenshot', 'wanderic' ); ?>"></div>
		<?php
	}

	// Title
	?>
	<h3 class="wanderic_notice_title">
		<?php esc_html_e( 'New skins available', 'wanderic' ); ?>
	</h3>
	<?php

	// Description
	$wanderic_total      = $wanderic_skins_args['update'];	// Store value to the separate variable to avoid warnings from ThemeCheck plugin!
	$wanderic_skins_msg  = $wanderic_total > 0
							// Translators: Add new skins number
							? '<strong>' . sprintf( _n( '%d new version', '%d new versions', $wanderic_total, 'wanderic' ), $wanderic_total ) . '</strong>'
							: '';
	$wanderic_total      = $wanderic_skins_args['free'];
	$wanderic_skins_msg .= $wanderic_total > 0
							? ( ! empty( $wanderic_skins_msg ) ? ' ' . esc_html__( 'and', 'wanderic' ) . ' ' : '' )
								// Translators: Add new skins number
								. '<strong>' . sprintf( _n( '%d free skin', '%d free skins', $wanderic_total, 'wanderic' ), $wanderic_total ) . '</strong>'
							: '';
	$wanderic_total      = $wanderic_skins_args['pay'];
	$wanderic_skins_msg .= $wanderic_skins_args['pay'] > 0
							? ( ! empty( $wanderic_skins_msg ) ? ' ' . esc_html__( 'and', 'wanderic' ) . ' ' : '' )
								// Translators: Add new skins number
								. '<strong>' . sprintf( _n( '%d paid skin', '%d paid skins', $wanderic_total, 'wanderic' ), $wanderic_total ) . '</strong>'
							: '';
	?>
	<div class="wanderic_notice_text">
		<p>
			<?php
			// Translators: Add new skins info
			echo wp_kses_data( sprintf( __( "We are pleased to announce that %s are available for your theme", 'wanderic' ), $wanderic_skins_msg ) );
			?>
		</p>
	</div>
	<?php

	// Buttons
	?>
	<div class="wanderic_notice_buttons">
		<?php
		// Link to the theme dashboard page
		?>
		<a href="<?php echo esc_url( $wanderic_skins_url ); ?>" class="button button-primary"><i class="dashicons dashicons-update"></i> 
			<?php
			// Translators: Add theme name
			esc_html_e( 'Go to Skins manager', 'wanderic' );
			?>
		</a>
		<?php
		// Dismiss
		?>
		<a href="#" data-notice="skins" class="wanderic_hide_notice"><i class="dashicons dashicons-dismiss"></i> <span class="wanderic_hide_notice_text"><?php esc_html_e( 'Dismiss', 'wanderic' ); ?></span></a>
	</div>
</div>
